Subject: bug#75844: Update for window-tool-bar

From: Eli Zaretskii <[email-masked]>
Date: Thu, 06 Feb 2025 11:34:15 +0200

> Date: Wed, 05 Feb 2025 21:47:38 -0800
> From: Jared Finder <[email-masked]>
> Cc: martin rudalics <[email-masked]>, Eli Zaretskii <[email-masked]>,
>  [email-masked]
> 
> > I have no more feedback.
> 
> Attached is a patch with the issue around dragging the header line not 
> mentioned. I'll be filing a bug immediately after this to track fixing 
> header line dragging (it will take a bit longer to address).

Thanks, a few minor comments below.

> +@vindex window-tool-bar-style
> +@cindex Window Tool Bar style

Index entries should preferably be all-lowercase, to make sure their
sorting does not depend on the locale where the manual is generated.

> +On graphical displays the window tool bar can be displayed in multiple
> +different styles.

I'd use "several".  "Multiple" could be interpreted as meaning "at the
same time", which is not what you mean.

> +On text-only displays the window tool bar only shows text for each
> +button.

I'm guessing you mean "even if another style is specified", right?
If so, please say so explicitly.

> +(defcustom window-tool-bar-style 'image
> +  "Tool bar style to use for window tool bars.
> +The meaning is the same as for `tool-bar-style', which see.  If
> +set to the symbol `tool-bar-style', then use the value of
> +`tool-bar-style' instead.
> +
> +When images cannot be displayed (see `display-images-p'), text
> +is used."

Passive tense alert!

> +  :type '(choice (const :tag "Images" :value image)
> +                 (const :tag "Text" :value text)
> +                 ;; This option would require multiple tool bar lines.
> +                 ;;(const :tag "Both" :value both)
> +                 (const :tag "Both-horiz" :value both-horiz)
> +                 (const :tag "Text-image-horiz" :value text-image-horiz)
> +                 (const :tag "Inherit tool-bar-style" :value tool-bar-style)
> +                 (const :tag "System default" :value nil))

Many of these tags have cryptic text.  Can we make this text more
user-friendly?  It is there to explain the meaning of each value to
the users when they customize the option.

> +(defun window-tool-bar--style ()
> +  "Return the effective style based on `window-tool-bar-style'.
> +
> +This also takes into account frame capabilities.  If the current
> +frame cannot display images (see `display-images-p'), then this
> +will always return text."
> +  (if (not (display-images-p))
> +      'text

Should we perhaps test for support of specific image types?